> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search available subnets

> Returns available subnets by given filters



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/search
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/search:
    get:
      tags:
        - Market
      summary: Search available subnets
      description: Returns available subnets by given filters
      operationId: API-Pub-Market-Search
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: prefix_length
          in: query
          description: Prefix Length
          required: true
          schema:
            maximum: 24
            minimum: 8
            type: integer
        - name: reservation_id
          in: query
          description: Commitment Reservation ID
          schema:
            type: string
        - name: limit
          in: query
          description: Limit results to this number
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            default: 100
        - name: octets
          in: query
          description: Search subnets by octets
          schema:
            maxItems: 3
            minItems: 1
            type: array
            items:
              maximum: 255
              minimum: 8
              type: integer
        - name: address
          in: query
          description: Address
          schema:
            type: string
        - name: registrars
          in: query
          description: Registrar Name. Optional registrar_uuids or registry.
          schema:
            type: array
            items:
              enum:
                - afrinic
                - apnic
                - arin
                - lacnic
                - ripencc
              type: string
        - name: sort
          in: query
          description: Sort. If prefixed with a dash, sorts descending
          schema:
            type: array
            items:
              enum:
                - price
                - '-price'
                - address
                - '-address'
              type: string
        - name: geo_providers
          in: query
          description: Geolocation providers to use for country/city filters
          schema:
            type: array
            items:
              enum:
                - maxmind
                - ip2location
                - dbip
                - ipinfo
                - ipgeolocation
                - ipregistry
              type: string
        - name: geo_country_code
          in: query
          description: Geolocation filter by country code
          schema:
            maxLength: 2
            minLength: 2
            type: string
        - name: geo_city_name
          in: query
          description: Geolocation filter by city name
          schema:
            type: string
        - name: geo_provider_match_type
          in: query
          description: Match type for geo filter
          schema:
            enum:
              - and
              - or
            type: string
            default: or
        - name: price_min
          in: query
          description: Price filter (min)
          schema:
            minimum: 0
            type: number
            format: float
        - name: price_max
          in: query
          description: Price filter (max)
          schema:
            minimum: 0
            type: number
            format: float
        - name: price_negotiable
          in: query
          description: Price filter for if price is negotiable
          schema:
            type: boolean
        - name: capabilities_rpki
          in: query
          description: Subnet RPKI Capability status
          schema:
            enum:
              - automated
              - manual
              - unsupported
            type: string
        - name: capabilities_whois_inetnum
          in: query
          description: Subnet WHOIS Inetnum Capability status
          schema:
            enum:
              - automated
              - manual
              - unsupported
            type: string
        - name: capabilities_whois_routes
          in: query
          description: Subnet WHOIS Routes Capability status
          schema:
            enum:
              - automated
              - manual
              - unsupported
            type: string
        - name: capabilities_whois_rdns
          in: query
          description: Subnet WHOIS RDNS Capability status
          schema:
            enum:
              - automated
              - manual
              - unsupported
            type: string
        - name: promotional
          in: query
          description: Filter for promotional/featured subnets
          schema:
            type: boolean
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.MarketSearchCollection
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.MarketSearchCollection: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````